Loading...
Searching...
No Matches
Catch::MessageStream Struct Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::MessageStream:
[legend]
Collaboration diagram for Catch::MessageStream:
[legend]

## Public Member Functions

template<typename T>
MessageStream & | operator<< (T const &value)

## Public Attributes

ReusableStringStream | m_stream

## Member Function Documentation

## operator<<()

template<typename T>

MessageStream & Catch::MessageStream::operator<< | ( | T const & | value | ) |

inline

## Member Data Documentation

## m_stream

ReusableStringStream Catch::MessageStream::m_stream

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp